Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# AVStreams::StreamCtrl Interface Reference

Implementation the A/V StreamCtrl class. this class is used to control the stream. It should be subclassed by applications that want to provide more control features. More...

`#include <AVStreams.idl>`

Inheritance diagram for AVStreams::StreamCtrl

[legend]
Collaboration diagram for AVStreams::StreamCtrl:

[legend]
List of all members.

## Public Methods
boolean | bind_devs (in MMDevice a_party, in MMDevice b_party, inout streamQoS the_qos, in flowSpec the_flows) raises (streamOpFailed, noSuchFlow, QoSRequestFailed)
boolean | bind (in StreamEndPoint_A a_party, in StreamEndPoint_B b_party, inout streamQoS the_qos, in flowSpec the_flows) raises (streamOpFailed, noSuchFlow, QoSRequestFailed)
| Establish a stream between a_party and b_party, with qos the_qos, and for the flows in the_flows if the_flows is empty, bind all the flows Causes a connection to be established between the StreamEndpoints. Returns success/failure.
void | unbind_dev (in MMDevice dev, in flowSpec the_spec) raises (streamOpFailed, noSuchFlow)
| Establish a connection between two streamendpoints. This can be used if the streamendpoints have been created independent of a MMDevice.
void | unbind_party (in StreamEndPoint the_ep, in flowSpec the_spec) raises (streamOpFailed, noSuchFlow)
| Unbind the_ep from the stream. Empty the_spec means apply to all flows.
void | unbind () raises (streamOpFailed)
| unbind the stream. Same effect as Basic_StreamCtrl::destroy ().
VDev | get_related_vdev (in MMDevice adev, out StreamEndPoint sep) raises (streamOpFailed)

## Detailed Description

Implementation the A/V StreamCtrl class. this class is used to control the stream. It should be subclassed by applications that want to provide more control features.

## Member Function Documentation

boolean AVStreams::StreamCtrl::bind ( | in StreamEndPoint_A a_party,
| in StreamEndPoint_B b_party,
| inout streamQoS the_qos,
| in flowSpec the_flows ) raises (streamOpFailed, noSuchFlow, QoSRequestFailed)

| Establish a stream between a_party and b_party, with qos the_qos, and for the flows in the_flows if the_flows is empty, bind all the flows Causes a connection to be established between the StreamEndpoints. Returns success/failure.

boolean AVStreams::StreamCtrl::bind_devs ( | in MMDevice a_party,
| in MMDevice b_party,
| inout streamQoS the_qos,
| in flowSpec the_flows ) raises (streamOpFailed, noSuchFlow, QoSRequestFailed)

VDev AVStreams::StreamCtrl::get_related_vdev ( | in MMDevice adev,
| out StreamEndPoint sep ) raises (streamOpFailed)

void AVStreams::StreamCtrl::unbind ( | ) raises (streamOpFailed)

| unbind the stream. Same effect as Basic_StreamCtrl::destroy ().

void AVStreams::StreamCtrl::unbind_dev ( | in MMDevice dev,
| in flowSpec the_spec ) raises (streamOpFailed, noSuchFlow)

| Establish a connection between two streamendpoints. This can be used if the streamendpoints have been created independent of a MMDevice.

void AVStreams::StreamCtrl::unbind_party ( | in StreamEndPoint the_ep,
| in flowSpec the_spec ) raises (streamOpFailed, noSuchFlow)

| Unbind the_ep from the stream. Empty the_spec means apply to all flows.

The documentation for this interface was generated from the following file:

- AVStreams.idl